<mat-horizontal-stepper>
  <mat-step>
    <ng-template matStepLabel> Productos agregados al carrito </ng-template>
    <div *ngIf="(products$ | async) as products">
      <p *ngIf="products.length === 0">Tu carrito de compras está vacío :(</p>

      <div class="row" *ngFor="let product of products">
        <div class="col-xs-12 col-sm-2 col-md-2">
          <div class="box">
            <img
              class="image"
              [src]="product.image"
              alt="imagen del producto"
            />
          </div>
        </div>
        <div class="col-xs-12 col-sm-5 col-md-5">
          <div class="box">
            {{ product.title }}
          </div>
        </div>
        <div class="col-xs-12 col-sm-5 col-md-5">
          <div class="box">
            {{ product.price }}
          </div>
        </div>
      </div>

    </div>
  </mat-step>
  <mat-step>
    <ng-template matStepLabel> Información de envío </ng-template>
    <p>CONTENIDO</p>
  </mat-step>
  <mat-step>
    <ng-template matStepLabel> Forma de pago </ng-template>
    <p>CONTENIDO</p>
  </mat-step>
</mat-horizontal-stepper>
